--- psycopg2-2.4.6/setup.py 2012-12-11 23:18:36.000000000 +0000
+++ psycopg2-2.4.6/setup.py 2020-03-10 15:28:47.907882815 +0000
@@ -384,7 +384,7 @@
                 pgversion = "7.4.0"

             verre = re.compile(
-                r"(\d+)\.(\d+)(?:(?:\.(\d+))|(devel|(alpha|beta|rc)\d+))")
+                r"(\d+)\.(\d+)(?:(?:\.(\d+))|(devel|(alpha|beta|rc)\d+))*")
             m = verre.match(pgversion)
             if m:
                 pgmajor, pgminor, pgpatch = m.group(1, 2, 3)
